// config.js
module.exports = {
  endpoint: "https://git.kjan.de/api/v1/",
  platform: "gitea",
  gitAuthor: "Renovate <renovate@kjan.de>",

  // --- Caching ---
  // Explicitly enable caching (good practice, though often default)
  // persistCache: true,
  // Use the default cache directory which we will map in the Action
  // cacheDir: "/tmp/renovate-cache", // Default, usually no need to set

  // --- Discovery ---
  autodiscover: true, // Kept as per your requirement

  // --- Onboarding ---
  // Ensure new repos get the standard config
  onboardingConfig: {
    extends: ["local>Renovate/renovate-config"],
  },

  // --- Important Note ---
  // For major speedups, optimize rules within your 'local>Renovate/renovate-config' preset:
  // - Use `packageRules` to group related dependencies (`groupName`).
  // - Consider adding `skipInstalls: true` globally or via `packageRules` if possible.
  // - Add rules to ignore specific dependencies (`ignoreDeps` or `enabled: false`).
  // - Limit update types (`matchUpdateTypes`) where applicable.
};
